Description

Update how files which a ONEMercury user cannot access are displayed to indicate why the document is not available.  Current

implementation does not provide a hyperlink to data object.  If the link is provided the user will receive a not authorized message

from the object request.

Change request is for a more obvious indication the user is not authorized to read the document.  

Need to come to a decision regarding what this indication should be.

Some initial thoughts:

1.  Tool tip that activates on hover with a message indicating insufficient access - combined with another indicator that does not

require hover.  Maybe an different font color - greyed out to indicate inactive or an asterisk, etc.

2.  Additional column on the data file panel that indicates which files are active and/or not active.

3.  Most transparent but also harshest to the user would be to restore the hyperlink to the data file and allow user to see the not

authorized error message on the document request.

4. It might be more intuitive to have a couple of icons that represent public (perhaps a person?) and private (a padlock) beside the

link, and keep the link active regardless of whether it is public or private. If the content is private then the user will receive an access

denied message unless they have the appropriate certificate loaded into their browser environment.

Subtasks:

Task # 3031: Create icons to indicate users ability to access a document or not Closed

Task # 3032: Incorporate access icons into ONEMercury data link display Closed

History

#1 - 2012-06-26 14:38 - Skye Roseboom

Copying in email suggestion from Dave:

it might be more intuitive to have a couple of icons that represent public (perhaps a person?) and private (a padlock) beside the link, and keep the link

active regardless of whether it is public or private. If the content is private then the user will receive an access denied message unless they have the

appropriate certificate loaded into their browser environment.

#2 - 2012-06-26 14:45 - Skye Roseboom

- Subject changed from ONEMercury - indicate files user is unable to access. to ONEMercury - indicate users access to documents.

#3 - 2012-06-27 17:52 - Skye Roseboom

Suggestion 4 from above has been agreed upon as the desired implementation.

#4 - 2012-07-17 20:27 - Skye Roseboom

- Milestone changed from CCI-1.1 to CCI-1.0.3

#5 - 2012-07-17 20:28 - Skye Roseboom
- Status changed from New to In Progress

#6 - 2012-07-24 22:06 - Skye Roseboom

- Status changed from In Progress to Testing

Copied changes to 1.0.0 branch for testing prior to 1.0.3 release.

#7 - 2012-08-16 22:03 - Dave Vieglais

- Status changed from Testing to Closed
